# permissions for end users to edit oidcreturnuris.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: clusterrole
    app.kubernetes.io/instance: oidcreturnuri-editor-role
    app.kubernetes.io/component: rbac
    app.kubernetes.io/created-by: authz-operator
    app.kubernetes.io/part-of: authz-operator
    app.kubernetes.io/managed-by: kustomize
  name: oidcreturnuri-editor-role
rules:
- apiGroups:
  - webservices.cern.ch
  resources:
  - oidcreturnuris
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - webservices.cern.ch
  resources:
  - oidcreturnuris/status
  verbs:
  - get
